> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Archive Policies

> Batch archive MAP policies. Sets status to 'archived'.

Only accepted/approved/executed/superseded policies can be archived.



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/map-pricing/policies/batch-archive
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/map-pricing/policies/batch-archive:
    post:
      tags:
        - MAP Pricing
        - MAP Pricing
      summary: Batch Archive Policies
      description: |-
        Batch archive MAP policies. Sets status to 'archived'.

        Only accepted/approved/executed/superseded policies can be archived.
      operationId: batch_archive_policies
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchArchiveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchArchiveResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    BatchArchiveRequest:
      description: Request body for batch archiving policies.
      properties:
        policy_ids:
          description: List of policy IDs to archive
          items:
            type: string
          title: Policy Ids
          type: array
      required:
        - policy_ids
      title: BatchArchiveRequest
      type: object
    BatchArchiveResponse:
      description: Response for batch archive operations.
      properties:
        archived:
          title: Archived
          type: integer
        details:
          items:
            additionalProperties: true
            type: object
          title: Details
          type: array
      required:
        - archived
        - details
      title: BatchArchiveResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````